#ifndef oslxcfitsErrorsNoCcs_H
#define oslxcfitsErrorsNoCcs_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: oslxcfitsErrorsNoCcs.h,v 1.1 2007/02/26 14:51:42 cguirao Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
*  epozna    19/10/00  Created
*  epozna    03/03/02  added oslxcfitsERR_CREATE_FILE 
*/

/************************************************************************
*/



#define oslxcfitsERR_NOTIMPLEMENTED "oslxcfitsERR_NOTIMPLEMENTED : This functionality is not implemented yet. %.120s"
#define oslxcfitsERR_INAVLID_HDU    "oslxcfitsERR_INAVLID_HDU : HDU number %d is invalid. Must be bettween 1 and %d."
#define oslxcfitsERR_CFITSIO        "oslxcfitsERR_CFITSIO : %.100s"
#define oslxcfitsERR_OPENING_FILE   "oslxcfitsERR_OPENING_FILE: Cannot open file: %.256s ."
#define oslxcfitsERR_HDU            "oslxcfitsERR_HDU: Cannot get information on the given HDU."
#define oslxcfitsERR_RETURN_TO_HDU  "oslxcfitsERR_RETURN_TO_HD : Could not return to the original HDU."
#define oslxcfitsERR_NOT_BINTBL     "oslxcfitsERR_NOT_BINTB: HDU %d is not a binary table."
#define oslxcfitsERR_ADDCOLUMN      "oslxcfitsERR_ADDCOLUMN : Could not add column %d to binary table %d."
#define oslxcfitsERR_ADD_COLUMN     "oslxcfitsERR_ADD_COLUMN : Could not add column %d to HDU %d."
#define oslxcfitsERR_WRONG_TYPE     "oslxcfitsERR_WRONG_TYPE: The given type '%.80s' does not match with the type of the column %.80s."
#define oslxcfitsERR_WRONG_COL_DATA "oslxcfitsERR_WRONG_COL_DATA : Trying to write over the limit (%d rows) of the binary table. \n (starting from row %d, number of elements %d)"
#define oslxcfitsERR_WRONG_NELEMENTS "oslxcfitsERR_WRONG_NELEMENTS : Trying to write invalid number of elements (%d) into binary table."
#define oslxcfitsERR_ARRAY_SIZE_TOO_BIG   "oslxcfitsERR_ARRAY_SIZE_TOO_BIG: WARNING: Only the first %d elements of the given array (of size %d) is written into the binary table!"
#define oslxcfitsERR_ARRAY_SIZE_TOO_SMALL "oslxcfitsERR_ARRAY_SIZE_TOO_SMALL: Try to write more elements(%d) than given in the array (size %d)."
#define oslxcfitsERR_INVALID_ARRAY   "oslxcfitsERR_INVALID_ARRAY : The element to be written into the the binary table are not specified. (array is NULL)"
#define oslxcfitsERR_NUMBER_OF_ROWS  "oslxcfitsERR_NUMBER_OF_ROWS  : Number of elements %d in the arry is not equal to  number of rows %d."
#define oslxcfitsERR_AUTO_ADD_ROWS "oslxcfitsERR_AUTO_ADD_ROWS : warning: %d number of rows has been added automatically to the binary table."
#define oslxcfitsERR_NO_EXTENTION  "oslxcfitsERR_NO_EXTENTION : The file does not contain extention."
#define oslxcfitsERR_NO_BINTBL     "oslxcfitsERR_NO_BINTBL: The file does not contain a binary table."
#define oslxcfitsERR_LOADING_HDU   "oslxcfitsERR_LOADING_HDU: Could not load HDU %d of file %.80s."
#define oslxcfitsERR_APPEND_HDU    "oslxcfitsERR_APPEND_HDU: Could not append HDU %d of file %.150s;"
#define oslxcfitsERR_RENAME        "oslxcfitsERR_RENAME: Could not saved file as %.80s."
#define oslxcfitsERR_NO_EXT        "oslxcfitsERR_NO_EXT: The file %.80s does not contain any extention."
#define oslxcfitsERR_CANNOT_CREATE "oslxcfitsERR_CANNOT_CREATE: Cannot create '%.80s', object is being used for '%.80s'."
#define oslxcfitsERR_CANNOT_SAVE   "oslxcfitsERR_CANNOT_SAVE: Cannot save file: %.80s (might be empty. Check CFITSio log reports)"
#define oslxcfitsERR_NO_FILENAME   "oslxcfitsERR_NO_FILENAME : File name must be given."
#define oslxcfitsERR_FILE_ALREADY_EXIST "oslxcfitsERR_FILE_ALREADY_EXIST: File with name '%.150s'  already exist."
#define oslxcfitsERR_SAVED         "oslxcfitsERR_SAVED: File has been saved as: %.80s."
#define oslxcfitsERR_NO_KEYWORDS   "oslxcfitsERR_NO_KEYWORD : There is no keyword in the file '%.80s' HDU '%d'."
#define oslxcfitsERR_KW_TYPE       "oslxcfitsERR_KW_TYPE : The type of the keyword %.80s is not recognised."
#define oslxcfitsERR_INSERT_COLUMN "oslxcfitsERR_INSERT_COLUMN : Could not insert column %d to Binary Table (HDU %d)."
#define oslxcfitsERR_DELETE_COLUMN "oslxcfitsERR_DELETE_COLUMN: Could not delete column %d from Binary Table (HDU %d)."
#define oslxcfitsERR_INSERT_ROWS   "oslxcfitsERR_INSERT_ROWS: Could not insert %d rows to Binary table (HDU %d) starting from row %d."
#define oslxcfitsERR_DELETE_ROWS   "oslxcfitsERR_DELETE_ROWS: Could not delete %d rows from Binary table (HDU %d) starting from row %d."
#define oslxcfitsERR_REMOVE_FILE   "oslxcfitsERR_REMOVE_FILE: Could not remove file %.80s : %.80s."
#define oslxcfitsERR_CREATE        "oslxcfitsERR_CREATE: Object is already being used for an other imagefile. Reset or Cancel object"
#define oslxcfitsERR_CREATE_FILE    "oslxcfitsERR_CREATE: Could not create image file (%.80s)"
#define oslxcfitsERR_READKEYWORD    "oslxcfitsERR_READKEYWORD: Could not read kw from header: %.80s" 
#define oslxcfitsERR_MOVETOHDU      "oslxcfitsERR_MOVETOHDU: Could not move to header unit %d."
#endif
