#ifndef ftuSESSION_H
#define ftuSESSION_H
/******************************************************************************
 *
 * E.S.O. - Archive System
 *
 * "@(#) $Id: ftuSESSION.h,v 1.1 2004/09/06 14:38:35 cguirao Exp $"
 *
 * Who       When        What
 * --------  ----------  ----------------------------------------------
 * jknudstr  20/01/2000  Created
 */

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "ftuBASE.h"
#include "ftuFTT.h"

class ftuSESSION: public ftuBASE
{
  public:
    ftuSESSION();
    ~ftuSESSION();

    utilSTAT     ParseInputPars(int argc, char *argv[]);

    utilSTAT     Execute();

  protected: 
  private:
    void            SetFttFile(const slxFILENAME fttFile);
    char            *GetFttFile();

    utilHASH        fileTbl_;
    slxFILENAME     logFile_;
    slxFILENAME     fttFile_;
    ftuCONDITIONS   conditions_;
};


#endif /*!ftuSESSION_H*/

// --- oOo ---
