#ifndef ftuSwap_H
#define ftuSwap_H
/******************************************************************************
 *
 * E.S.O. - Archive System
 *
 * "@(#) $Id: ftuSwap.h,v 1.1 2004/09/06 14:38:35 cguirao Exp $"
 *
 * Who       When        What
 * --------  ----------  ----------------------------------------------
 * jknudstr  20/01/2000  Created
 */

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifdef __cplusplus
extern "C" {
#endif

#include <netinet/in.h>

#ifdef __linux__
    #include <byteswap.h>
#endif

#include "ftuDefs.h"

#ifdef __linux__
  ftuINT16 SWAP_INT16_(const ftuINT16 x);
  ftuINT32 SWAP_INT32_(const ftuINT32 x);
  ftuFP32  SWAP_FP32_(const ftuFP32 x);
  ftuFP64  SWAP_FP64_(const ftuFP64 x);
#endif


#ifdef __linux__
    #define SWAP_INT16(x)       SWAP_INT16_(x)
    #define SWAP_INT32(x)       SWAP_INT32_(x)
    #define SWAP_FP32(x)        SWAP_FP32_(x)
    #define SWAP_FP64(x)        SWAP_FP64_(x)
    /*
      #define SWAP_INT16(x)       bswap_16(x)
      #define SWAP_INT32(x)       bswap_32(x)
      #define SWAP_FP32(x)        bswap_32(x)
      #define SWAP_FP64(x)        bswap_64(x)
    */
#else
    #define SWAP_INT16(x)       x
    #define SWAP_INT32(x)       x
    #define SWAP_FP32(x)        x
    #define SWAP_FP64(x)        x
#endif

#define NOP(x)  (x)


#ifdef __cplusplus
}
#endif

#endif /*!ftuSwap_H*/

/* --- oOo --- */
