#
#*************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: slxMiniOssDemo.pan,v 1.145 2005/07/27 10:56:59 vltsccm Exp $" 
#
# slxMiniOssDemo.pan
#
# This file has been produced by the panel editor
#   version: panel.tcl,v 2.35
#   date   : Wed Aug  9 18:33:12 MESZ 1995
#
#      !!!!!!!!!!  DO NOT MANUALLY EDIT THIS FILE  !!!!!!!!! 
#
#--------------------------------------------------------------
# 
#  Get directory root of VLT, integration, current module. 

global gvar  cv bcv actAreaHeight shArea panClassLib 
global panWidget panWidgetHlp panDbData panUsrProcs panUsrLib
global menu menuItem rootMenu ckMenuBar ckActBut ckShHelp ckCCS
global argv0 auto_path env VLTROOT INTROOT HOME 

if {[catch {set VLTROOT $env(VLTROOT)}]} {set VLTROOT undefined}
if {[catch {set INTROOT $env(INTROOT)}]} {set INTROOT undefined}
if {[catch {set HOME    $env(HOME)}   ]} {set HOME    undefined}
# 
# Set auto_path 
# 

if { [file exist ../lib/libpanPublic.tcl] } { 
   lappend auto_path ../lib/libpanPublic.tcl
} elseif { [file exist $INTROOT/lib/libpanPublic.tcl ] } { 
   lappend auto_path $INTROOT/lib/libpanPublic.tcl
} elseif { [file exist $VLTROOT/lib/libpanPublic.tcl ] } { 
   lappend auto_path $VLTROOT/lib/libpanPublic.tcl 
} else {
   puts stderr "panel EXITS : Tcl library libpanPublic.tcl not found " 
   exit 1
}

#
# Link panel to user libraries 
#

set panUsrLib   libslxTcl.tcl  
set panClassLib {}

panSetAutoPath  $panUsrLib $panClassLib 

if {[info exists EDITING]} { 
   set panRoot .slxMiniOssDemo 
   set panUsrProcs {slxDemoInit slxDemoExit slxDemoGlobalData slxSaveAs slxLoadFrom slxMiniOssDemoInit slxMiniOssDemoExit}
   set argc 0 ; set argv {}
} else {
   set par(MY_NAME) [file tail $argv0] 
   set colordef winter
   set EDITING 0
   panReadOption
   set tk_strictMotif 0
   setPublicVar
   set panRoot . 
}

#
# User's defined Initialization Procedure
#

proc slxMiniOssDemoInit { } {  

 # Declare global variables 

   global <var> 

 # User Initialization

   set <var> <value> ; # comment ..  
}



#
#-----------------------------------------------
#            Widget Definition  
#-----------------------------------------------
# 

set ckShHelp  1 ;  # Set Short Help
set ckActBut  2 ;  # Set Action Button Area
set ckMenuBar 1 ;  # Setup Menu Bar
set ckCCS     1 ;  # Initialize CCS
set actAreaHeight 50 ;  # Set height of action area 

panCreateFrame slxMiniOssDemo 5 458;  # Create empty frame
panGetCvNames  slxMiniOssDemo cv bcv; # Get Canvas Names 

UifRadioButton     $cv.slxMiniOssDemo-wdg1 -onVal Dark -label Dark -width 3 \
                   -variable gvar(setup.4.DET.EXP.TYPE) -anchor nw \
                   -canvasAnchor center
UifCheckButton     $cv.slxMiniOssDemo-wdg2 -offVal none \
                   -onVal ESO-VLT-DIC.SLX_DIC_DEMO -label dictionary \
                   -width 10 -variable gvar(dictionary) -anchor nw \
                   -canvasAnchor nw
UifOutput          $cv.slxMiniOssDemo-wdg3 -variable gvar(setup.0.SIMPLE) \
                   -color Black -frame 1 -width 3 \
                   -font -Adobe-courier-medium-r-normal--14* -anchor nw \
                   -canvasAnchor nw
UifCheckButton     $cv.slxMiniOssDemo-wdg4 -offVal none \
                   -onVal setupHdTemplate -label template -width 8 \
                   -variable gvar(template) -anchor nw -canvasAnchor nw
UifFrame           $cv.slxMiniOssDemo-wdg5 -width 1000 -height 1 \
                   -canvasAnchor nw
UifOutput          $cv.slxMiniOssDemo-wdg6 -variable gvar(setup.2.DET.BITS) \
                   -color Black -frame 1 -width 2 \
                   -font -Adobe-courier-medium-r-normal--14* -anchor nw \
                   -canvasAnchor nw
UifFrame           $cv.slxMiniOssDemo-wdg7 -width 300 -height 10 \
                   -canvasAnchor nw
UifOutput          $cv.slxMiniOssDemo-wdg8 -variable gvar(dictionary) \
                   -color Black -frame 1 -width 25 \
                   -font -Adobe-courier-medium-r-normal--14* -anchor nw \
                   -canvasAnchor nw
UifOutput          $cv.slxMiniOssDemo-wdg9 -variable gvar(template) \
                   -color Black -frame 1 -width 25 \
                   -font -Adobe-courier-medium-r-normal--14* -anchor nw \
                   -canvasAnchor nw
UifRadioButton     $cv.slxMiniOssDemo-wdg10 -onVal Normal -label Normal \
                   -width 5 -variable gvar(setup.4.DET.EXP.TYPE) -anchor nw \
                   -canvasAnchor center
UifScale           $cv.slxMiniOssDemo-wdg11 -maxVal 16 -minVal 0 \
                   -variable gvar(setup.2.DET.BITS) -to 16 -tickinterval 16 \
                   -orient h -length 100 -label BITS -from 0 \
                   -canvasAnchor center
UifCheckButton     $cv.slxMiniOssDemo-wdg12 -offVal F -onVal T -label SIMPLE \
                   -width 10 -variable gvar(setup.0.SIMPLE) -anchor nw \
                   -canvasAnchor nw
UifOptionButton    $cv.slxMiniOssDemo-wdg13 \
                   -itemList {uncompressed compressed both none} \
                   -variable gvar(setup.3.DET.FRAM2.FITSMTD) -length 12 \
                   -canvasAnchor nw
UifEntry           $cv.slxMiniOssDemo-wdg14 -maxVal 100 -minVal 0 \
                   -activeFont 8x13 -activeBackground Grey90 \
                   -selectedBackground Grey90 -confirm 0 \
                   -variable gvar(setup.1.EXPTIME) -width 8 -font 8x13 \
                   -canvasAnchor center
UifActionButton    $bcv.slxMiniOssDemo-wdg15 -label {Load from ...} \
                   -stateVar gvar(dummy) -width 12 -state normal \
                   -font *adobe-helvetica-bold-r-*-*-14* \
                   -command {slxLoadFrom ; dbInputRefresh all} \
                   -canvasAnchor center
UifActionButton    $bcv.slxMiniOssDemo-wdg16 -label {Save as ...} \
                   -stateVar gvar(0) -width 12 -state normal \
                   -font *adobe-helvetica-bold-r-*-*-14* \
                   -command {slxSaveAs $gvar(dictionary) $gvar(template)} \
                   -canvasAnchor center

#
#  Canvas Items
#

$cv create text 22 157 -tags "text slxMiniOssDemo-item1" -anchor nw \
          -text "Time" \
          -fill black -font -Adobe-helvetica-medium-r-normal--14* 


#
# Set Widget Configuration
#
set panWidget(slxMiniOssDemo-wdg1)  {UifRadioButton 46 76 1 0 Normal 0 0 setup.4.DET.EXP.TYPE 0 0 0 0 0 0}
set panWidget(slxMiniOssDemo-wdg10)  {UifRadioButton 115 76 1 0 Normal 0 0 setup.4.DET.EXP.TYPE 0 0 0 0 0 0}
set panWidget(slxMiniOssDemo-wdg11)  {UifScale 70 118 1 0 3 0 0 setup.2.DET.BITS 0 0 0 16 0 0}
set panWidget(slxMiniOssDemo-wdg12)  {UifCheckButton 74 46 1 0 T 0 0 setup.0.SIMPLE 0 0 1 0 0 0}
set panWidget(slxMiniOssDemo-wdg13)  {UifOptionButton 84 17 1 0 uncompressed 0 0 setup.3.DET.FRAM2.FITSMTD 0 {}}
set panWidget(slxMiniOssDemo-wdg14)  {UifEntry 101 164 1 0 1 0 0 setup.1.EXPTIME 0 N 0 100 0 0 0 0}
set panWidget(slxMiniOssDemo-wdg15)  {UifActionButton 251 23 1 0 0 0 0 dummy 0 {} gvar(dummy)}
set panWidget(slxMiniOssDemo-wdg16)  {UifActionButton 60 25 1 0 0 0 0 0 0 {} gvar(dummy)}
set panWidget(slxMiniOssDemo-wdg2)  {UifCheckButton 61 214 1 0 none 0 0 dictionary 0 0 1 0 0 0}
set panWidget(slxMiniOssDemo-wdg3)  {UifOutput 151 46 1 0 0 0 0 setup.0.SIMPLE 0 {} {}}
set panWidget(slxMiniOssDemo-wdg4)  {UifCheckButton 52 240 1 0 none 0 0 template 0 0 1 0 0 0}
set panWidget(slxMiniOssDemo-wdg5)  {UifFrame 372 54 1 0 0 0 0 dummy_slxDemo-wdg15 0 0}
set panWidget(slxMiniOssDemo-wdg6)  {UifOutput 145 111 1 0 0 0 0 setup.2.DET.BITS 0 {} {}}
set panWidget(slxMiniOssDemo-wdg7)  {UifFrame 157 189 1 0 0 0 0 dummy_slxDemo-wdg16 0 0}
set panWidget(slxMiniOssDemo-wdg8)  {UifOutput 216 214 1 0 0 0 0 dictionary 0 {} {}}
set panWidget(slxMiniOssDemo-wdg9)  {UifOutput 217 240 1 0 0 0 0 template 0 {} {}}

#
# Set Database Configuration
#
set panDbData(slxMiniOssDemo-wdg1)  {in local 0 0 0 0 0 0 0 free free}
set panDbData(slxMiniOssDemo-wdg10)  {in local 0 0 0 0 0 0 0 free free}
set panDbData(slxMiniOssDemo-wdg11)  {in local 0 0 0 0 0 0 0 free free}
set panDbData(slxMiniOssDemo-wdg14)  {in local 0 0 0 0 0 0 0 free free}

#
# Set Short Help for each widget
#
set panWidgetHlp(slxMiniOssDemo-wdg1)  {setup keyword DET EXP TYPE}
set panWidgetHlp(slxMiniOssDemo-wdg10)  {setup keyword DET EXP TYPE}
set panWidgetHlp(slxMiniOssDemo-wdg11)  {setup keyword DET BITS}
set panWidgetHlp(slxMiniOssDemo-wdg12)  {setup keyword SIMPLE}
set panWidgetHlp(slxMiniOssDemo-wdg13)  {setup keyword DET FRAMi FITSMTD}
set panWidgetHlp(slxMiniOssDemo-wdg14)  {setup keyword EXPTIME}
set panWidgetHlp(slxMiniOssDemo-wdg16)  {Save displayed setup in a file}
set panWidgetHlp(slxMiniOssDemo-wdg2)  {use data dictionary to save setup}
set panWidgetHlp(slxMiniOssDemo-wdg4)  {use template to build setup file header}

#
#-----------------------------------------------
#           Menu Bar Definition  
#-----------------------------------------------
# 

set sepCounter 0
set rootMenu   { file help }

#
# Sub-Menu definition
#
set menu(file)  { File  1 0 {quit} }
set menu(help)  { Help  1 0 {extended_help }    }

#
# Define menu buttons 
#
set menuItem(file.quit)  { {Quit}           1 cmd  {panClosePanel} }
set menuItem(help.extended_help)  { {Extended Help}  1 cmd  {puts "Not Implemented"} }

#
#-----------------------------------------------
#            Create the Panel  
#-----------------------------------------------
#

wm geometry  $panRoot 341x370
wm title     $panRoot "slx - Setup Editor Test"
set par(TITLE) "slx - Setup Editor Test" 

panMainStart  slxMiniOssDemo $argc $argv

#--------------------    End of Main   --------------------



#####################################################
#           Definition of Local Procedures
#####################################################


proc slxDemoInit { } {                                                              

 # Declare global variables 

   global <var> 

 # User Initialization

   set <var> <value> ; # comment ..  
}


proc slxDemoExit { } {                                                              

 # Declare global variables 

   global <var> 

 # Statements to be executed when exiting

    
}


proc slxDemoGlobalData { } {                                                                    

 # Declare any variable as global

 # global <var>

 # Variable Initialization

 #  set <var> <value>

 #set commonly used variables

 #ccdUsrGlobalData  
}


proc slxSaveAs { dictionary template } {                         

   if {[string match $dictionary "none"]} {
       set dictionary ""
   }
   if {[string match $template "none"]} {
       set template ""
   }
   # select file
   set file [panSelectFile "." "*.stp"]

   # save panel in setup file
   if {$file != ""} {
      slxSaveSetup $file $dictionary $template
   }
}


proc slxLoadFrom { } {                      

   # select file
   set file [panSelectFile "." ""]

   # load setup file in panel
   if {$file != ""} {
      slxLoadSetup $file
   }
}


proc slxMiniOssDemoExit { } {  

 # Declare global variables 

   global <var> 

 # Statements to be executed when exiting

    
}
