/*******************************************************************************
* E.S.O. - VLT project
*
* slxTestPrepImFile.c
*
* who       when      what
* --------  --------  ----------------------------------------------
* jknudstr  02/09/94  Created 1. version
* epozna    30/07/02  comp warnings: exit->return,incl string.h
*/

/************************************************************************
*   NAME
*   slxTestPrepImFile - tests the function slxPrepImageFile()
*
*   SYNOPSIS
*   slxTestPrepImFile <filename> <no of blocks> <write end (YES/NO)
*
*------------------------------------------------------------------------
*/

#define _POSIX_SOURCE 1
#include "vltPort.h"


static char *rcsId="@(#) $Id: slxTestPrepImFile.c,v 1.145 2005/07/27 12:03:13 vltsccm Exp $";
static void *use_rcsId = ((void)&use_rcsId,(void *) &rcsId);

#include <stdlib.h>

/*
 * Local Headers 
 */

#include "slx.h"
#include <string.h>

/* 
 * Main
 */

int main (int argc, char *argv[])
{
    ccsERROR    error;
    ccsPROCNAME procName;
    vltLOGICAL  writeEnd;

   if (argc < 4)
       {
       printf("\nCorrect syntax:\n slxTestPrepImFile <filename> <no of blocks> <write end (YES/NO)>\n\n");
       return(1);
       } 

    strcpy(procName, "slxTestPrepImFi");
    if (ccsInit(procName, 0, NULL, NULL, &error) == FAILURE)
        {
        printf("\nError in initializing on RTAP!\n\n");
        return(1);
        }
 
    if (strcmp(argv[3], "YES") == 0)
        writeEnd = ccsTRUE;
    else 
        writeEnd = ccsFALSE;

    if (slxPrepImageFile(argv[1], atoi(argv[2]), writeEnd, &error) != SUCCESS)
        {
        printf("\nError occurred creating the file!!\n");
        fprintf(stderr, "Failure, error is:\n");
        fprintf(stderr, "   ModuleId   : %s\n", error.moduleId);
/*
        fprintf(stderr, "   LocationId : %s\n", error.location);
        fprintf(stderr, "   ErrorNumber: %d\n", error.errorNumber);
*/
        fprintf(stderr, "   Parameters : %s\n", error.runTimePar);
        ccsExit(&error);
        return(1);
        return(1);
        }

    return(0);
}






