#ifndef miscNoCcsCpp_H
#define miscNoCcsCpp_H
/*******************************************************************************
* E.S.O. - VLT project
*
* "@(#) $Id: miscNoCcsCpp.h,v 1.1.2.1 2008/09/11 11:11:00 cguirao Exp $"
*
* who       when      what
* --------  --------  ----------------------------------------------
* jknudstr  01/11/96  created
*/

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "miscNoCcs.h"

ccsCOMPL_STAT ccsInit(ccsPROCNAME  processName);

class eccsERROR_CLASS
{
  public:
    eccsERROR_CLASS();
    ~eccsERROR_CLASS();

    ccsERROR       &ErrStack();
    ccsCOMPL_STAT  ErrAdd(ccsMODULEID moduleId, 
			  char        *errorMnemonic,
			  const char  *locId, ...);
    ccsCOMPL_STAT  ErrSysAdd(ccsMODULEID moduleId, 
			     char        *errorMnemonic,
			     const char  *locId,
			     char        *sysModule, ...);
    ccsCOMPL_STAT  ErrStackClose();
    ccsCOMPL_STAT  ErrStackReset(); 
    ccsCOMPL_STAT  Reset();
    ccsCOMPL_STAT ErrStatus() const;
    eccsERROR_CLASS &ErrStatus(const ccsCOMPL_STAT s);
  protected:

  private:
    ccsCOMPL_STAT status;
};

class eccsERROR: public eccsERROR_CLASS
{
  public:
    eccsERROR();
    ~eccsERROR();
};

/* Global variables to handle the error stack
 */
extern ccsERROR    miscErrorStack;
extern ccsERROR    *stdErr; 

#endif /*!miscNoCcsCpp_H*/
