#ifndef slx_H
#define slx_H
/******************************************************************************
* E.S.O. - VLT project
#
# "@(#) $Id: slx.h,v 1.1 2007/02/26 14:51:42 cguirao Exp $" 
*
* who       when      what
* --------  --------  ----------------------------------------------
* jknudstr  01/08/94  Created
* jknudstr  22/01/95  Upgraded to version 1.2 (functions to work on
*                     SLX Dynamic Buffer).
* gchiozzi  06/06/95  Added macro slxKEYW_NAME(a,b,c)
*/

/************************************************************************
* This header file contain type and constant definitions, function 
* prototyping for the slx (INS 2/1) module.
*----------------------------------------------------------------------
*/
#ifdef __cplusplus
extern "C" {
#endif

#ifdef NOCCS
    #include "miscNoCcs.h"
    #include "slxErrorsNoCcs.h"
#else
    #include "slxErrors.h"
    #include "ccs.h"
    #include "err.h"
#endif

#include "slxBasics.h"
#include "slxAlias.h"
#include "slxDictionary.h"
#include "slxDynBuf.h"
#include "slxFits.h"
#include "slxFitsKeys.h"
#include "slxSetup.h"
#include "slxStringList.h"
#include "slxSearchUtils.h"
#include "slxUtils.h"

#ifdef __cplusplus
}
#endif

#endif /*!slx_H*/









