#ifndef utilFITS_VAL_H
#define utilFITS_VAL_H
/******************************************************************************
 *
 * E.S.O. - Archive System
 *
 * "@(#) $Id: utilFITS_VAL.h,v 1.1 2004/09/21 12:45:40 cguirao Exp $"
 *
 * Who       When        What
 * --------  ----------  ----------------------------------------------
 * jknudstr  21/01/2000  Created
 */

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "slx.h"
#include "utilTYPES.h"

class utilFITS_VAL
{
  public:
    utilFITS_VAL();
    ~utilFITS_VAL();

    void         SetFromString(const slxPAR_TYPE  type,
			       const char         *valueAsString);
    void         GetAsString(slxVALUE  value);

    void         String(const char *string);
    char         *String();

    void         Logical(const utilLOGICAL logical);
    utilLOGICAL   Logical();

    void         Integer(const int integer);
    int          Integer();

    void         Double(const double dbl);
    double       Double();
	
    void         *Value();

    slxPAR_TYPE  Type();

  protected:
  private:
    slxPAR_TYPE   type_;

    char          *string_;
    utilLOGICAL   logical_;
    int           integer_;
    double        double_;
};

#endif /*!utilFITS_VAL_H*/

// --- oOo ---
