#ifndef utilPAF_H
#define utilPAF_H
/******************************************************************************
 *
 * E.S.O. - Archive System
 *
 * "@(#) $Id: utilPAF.h,v 1.1 2004/09/21 12:45:40 cguirao Exp $"
 *
 * Who       When        What
 * --------  ----------  ----------------------------------------------
 * jknudstr  21/01/2000  Created
 */

/************************************************************************
 *
 *----------------------------------------------------------------------
 */

#ifndef __cplusplus
#error This is a C++ include file and cannot be used from plain C
#endif

#include "oslxSHORT_FITS.h"

class utilPAF: public oslxSHORT_FITS
{
  public:
    utilPAF();
    ~utilPAF();

    ccsCOMPL_STAT Load(const char  *fileName);

    // Better implementations of the sequential keywords retrieval.
    ccsCOMPL_STAT ResetKeyPtr();
    ccsCOMPL_STAT NextKey();
    int           TimesNextKeyCalled();

  protected:
  private:
    /*
      ccsCOMPL_STAT LoadShortFitsFile(const slxFILENAME   fileName,
      const char          *envVar = NULL,
      oslxKEYW_FILTER     *filter = NULL,
      const vltLOGICAL    updateOnly = FALSE,
      const vltLOGICAL    globalSearch = FALSE);
    */
    int  timesNextKeyCalled_;
};

#endif /*!utilPAF_H*/

// --- oOo ---
