#!/usr/local/bin/tcl
#*******************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: slxAliasToShortFITS.test.tcl,v 1.145 2005/07/27 12:19:58 vltsccm Exp $" 
#
# who       when      what
# --------  --------  ----------------------------------------------
# jknudstr  13/10/94  created
#

#************************************************************************
#   NAME
#   slxAliasToShortFITS.test.prog - test program for slxAliasToShortFITS
# 
#   SYNOPSIS
#   slxAliasToShortFITS.test.prog
# 
#   DESCRIPTION
#   Used for testing the function slxAliasToShortFITS
#
#
#   CAUTIONS
#   Should be executed from the ~slx/test directory.
#
#------------------------------------------------------------------------
#
source ../test/defs

set tf slxAliasToShortFITS.test
set testPath [pwd]
set env(INS_SETUPPATH) [pwd]
set env(INS_ROOT) [pwd]/INS_ROOT
set env(INS_USER) SYSTEM
set slxTestAliasToShortFITS ../bin/slxTestAliasToShortFITS

# PART 1: Test of basic functioning
# =================================
test slxAliasToShortFITS-1 {Basic functionality test} {
    exec $slxTestAliasToShortFITS > $tf.1.temp
    set msg [exec diff $tf.1.temp $tf.1.rf]
    exec rm $tf.1.temp
    set msg
} ""

