SUP.CHCK.NAME    "NOT SET";    # Name of appl. checking set-up
SUP.CHCK.DATE    "NOT SET";    # Date for checking the set-up
SUP.CHCK.UT                 0; # Time for checking the set-up
SUP.CHCK.STATUS  "NOT SET";    # Status of checking the set-up
SUP.TYPE         "reference";  # The type of set-up                
SUP.ID           "Test Reference Set-Up"; # The ID for the set-up  
SUP.PROG.ID      "NOT SET";    # ID of obs. programme
SUP.PROG.NAME    "NOT SET";    # Name of responsible
SUP.VER.ID       "NOT SET";    # Set-up version control number 
SUP.MODE         "NOT SET";    # Observation mode
SUP.INST.ID      "NOT SET";    # Instrument ID
SUP.CRTE.NAME    "slxExtractSetup/1.0"; # Creator of the set-up    
SUP.CRTE.DATE    "1994-10-13"; # Date for creating                 
SUP.CRTE.UT             37259; # UT time (s)                       
SUP.LCHG.NAME    "NOT SET";    # Name of appl./person changing
SUP.LCHG.DATE    "NOT SET";    # Date for changing the set-up
SUP.LCHG.UT                 0; # Time for changing the set-up
SUP.PROT;
SUP.PROT;
SIMPLE                    "T";          # Standard FITS format (rev feb 1985)
BITPIX                     16;          # 2 byte twos-compl integers (16 bits)
NAXIS                       2;          # 2 axis (two dimensions)
NAXIS1                    501;          # # pixels/row
NAXIS2                    501;          # # rows (also # scan lines)
ORIGIN   "ESO-IHAP";                    # European Southern Observatory
DATE     "21/06/94";                    # Date this tape written dd/mm/yy
CRVAL1                   750.;          # Coordn first pixel in row (x-start)
CRPIX1                     1.;          # Always referenced to first pixel in x
CDELT1                     1.;          # Increment along x  (x-step)
CRVAL2                   750.;          # Coordn first row (y-start)
CRPIX2                     1.;          # Always referenced to first row (y)
CDELT2                     1.;          # Increment along y  (y-step)
BSCALE            1.0;                      # Real=Tape*BSCALE+BZERO
BZERO         32768.0;                      # Real=Tape*BSCALE+BZERO
TELESCOP "ESONTTB ";                        # ESO NTT focus B
INSTRUME "EMMI    ";                        # Instrument used
OBSERVER "CLAESKENS";                       # Name of the observer
DATE-OBS "21/06/94";                        # Date of observation (UT)
MJD-OBS   49524.07112;                      # Start of observ.=940621.014225
EXPTIME        180.00;                      # Total integration time
OBJECT   "PKS1318/R/3M";                    # Original target
RA          200.26494;                      # Tel. apparent pos. at start (deg)
DEC          11.14320;                      # Tel. apparent pos. at start (deg)
AIRMASS       1.45118;                      # Averaged air mass
GEN.ID           "ARC-0001/1.4"; # Version of related document
GEN.PROJ.ID      "053.00-000"; # ESO program identification
GEN.EXPO.NO              7487; # Image Sequence Number
GEN.EXPO.TYPE    "SCI     ";   # Type of exposure
GEN.EXPO.LST           53707.; # Loc. Sid. time at start of ex.
GEN.TEMP                281.8; # Observatory Ambient Temp. (K)
GEN.TEMPVAR               0.0; # Observatory Temp. var. (K)
GEN.RHUM                 25.0; # Observatory Ambient Humidity (%)
GEN.RHUMVAR               0.0; # Observatory Humidity var. (%)
GEN.FWHM                 0.00; # Observatory seeing (arcsec)
GEN.FWHMVAR              0.00; # Observatory seeing var. (arcsec)
GEN.WIND.SPEED            4.0; # Observatory wind speed (m/sec)
GEN.WIND.SPEEDVA         -.10; # Observ. wind speed var. (m/sec)
GEN.WIND.DIREC           17.0; # Wind direction (N=0 E=90)
GEN.WIND.DIRVAR        -11.00; # Wind direction var.
TEL.ID           "ESONTT  ";   # Telescope Identification
TEL.FOCU.ID      "NASM-B  ";   # Telescope focus ID
TEL.LON              -70.7345; # Telescope Longitude (+=East)
TEL.LAT              -29.2584; # Telescope Latitude (+=North)
TEL.FOCU.LEN           38.482; # Focus length (m)
TEL.FOCU.SCALE          1.489; # Focus scale (deg/m) = 5.36""/mm
TEL.TRAK.RATEA          .0042; # Tracking rate in alpha (deg/s)
TEL.TRAK.RATED             0.; # Tracking rate in delta (deg/s)
TEL.DOME.TEMP           281.9; # Tel temperature (Kelvin)
TEL.DOME.TEMPVAR          0.0; # Tel temp. variation (Kelvin)
TEL.DOME.FWHM            0.00; # Tel seeing (arcsec)
TEL.DOME.FWHMVAR         0.00; # Tel seeing variation (arcsec)
TEL.PARANG.START        28.77; # Parallactic angle at exp start
TEL.PARANG.END          29.50; # Parallactic angle at exp end
TEL.AIRM.START        1.44654; # Airmass at exp start
TEL.AIRM.END          1.45582; # Airmass at exp end
ADA.ID           "ADAPTB  ";   # Adapter Identification
ADA.MODE         "STD     ";   # Mode (standard)
ADA.POSANG              0.000; # Rotat. at the start of the exp.
ADA.GUID-1.X       -.2519E-01; # Guide probe x position (m)
ADA.GUID-1.Y           -.1419; # Guide probe y position (m)
ADA.GUID-2.X           -.1638; # Guide probe x position (m)
ADA.GUID-2.Y            .1653; # Guide probe y position (m)
INS.ID           "EMMI #1 ";   # Instrument Identification
INS.COMP.ID      "HP RTE-A V5"; # Instrument computer op. sys.
INS.MODE         "RILD    ";   # Mode EMMI is in
INS.PATH         "RED     ";   # EMMI arm used
INS.FOCU.ENC             8095; # Red focus unit encoder value
INS.FOCU.MODE    "USER    ";   # Red camera focus determination
DET.NAME         "TK2048EB";   # Detector name
DET.ID           "ccd$36";     # Detector serial id.
DET.TYPE         "CCD Tektronix"; # Detector type
DET.PIXSIZE           24.E-06; # Size of pixel (m)
DET.BITS                   16; # ADU bits per pixel
DET.FRAM.BITS              16; # Number of bits/pixel transfered
DET.FRAM.NAXIS1           501; # Number of pixels along x
DET.FRAM.CRVAL1         750.0; # x coordinate of lower left pixel
DET.FRAM.CRPIX1           1.0; # x coordinate of reference pixel
DET.FRAM.CDELT1           1.0; # Binning factor along x
DET.FRAM.NAXIS2           501; # Number of pixels along y
DET.FRAM.CRVAL2         750.0; # y coordinate of lower left pixel
DET.FRAM.CRPIX2           1.0; # y coordinate of reference pixel
DET.FRAM.CDELT2           1.0; # Binning factor along y
DET.DKTIME             180.00; # Dark current time (s)
DET.TEMP-VAR              0.0; # Temperature drift during exposure
DET.TEMPMEAN            152.1; # Mean detector temperature (K)
DET.COMP.ID      "ccdr-V4.1";  # A900 CCD-program name+vers
DET.DATE         "04/02/93";   # CCD implementation date
DET.MODE         "SLOW    ";   # Readout mode
DET.OUTPUTS                 2; # On-chip outputs connected
DET.OUTREF                  2; # Ref. output (gives image orient.)
DET.UDIT               180.00; # User defined integr. time (sec)
DET.SHUT.TMOPEN           .86; # Time needed to open shutter(sec)
DET.SHUT.TMCLOS           .91; # Time needed to close shutter(sec)
ARC.DATAMIN           32768.; # Minimal pixel value 
ARC.DATAMAX           97765.; # Maximal pixel value 
ARC.DATAMEAN         78773.6; # Mean pixel value 
ARC.DATASIGMA        438.255; # Standard deviation 
ARC.DATANOISE          0.000; # Noise level = noisy/total bitplanes
ARC.CHECKSUM       771631559; # File CRC (32 bit CCITT)

# Section with some special keyword lines

OBSERVER "Bartholomaeus";                   # Inclinition of Slit comment toooo
OBSERVER "BartholomaeusBartholomaeusBartholomaeusBartholomaeus"; # Inclinition 
SIMPLE                                 "T"; # Inclinition of Slit comment toooo
SIMPLE                                 "F"; # Inclinition of Slit comment toooo
BITPIX                            12345678; # Inclinition of Slit comment toooo
BITPIX                          1234567891; # Inclinition of Slit comment toooo
BITPIX                                   0; # Inclinition of Slit comment toooo
BITPIX                                  11; # Inclinition of Slit comment toooo
BITPIX                          -123456789; # Inclinition of Slit comment toooo
AIRMASS                         0.00012345; # Inclinition of Slit comment toooo
AIRMASS                     1.23450000E-04; # Inclinition of Slit comment toooo
AIRMASS                    -1.23450000E-04; # Inclinition of Slit comment toooo
AIRMASS                         -1.234E-04; # Inclinition of Slit comment toooo
AIRMASS                    123456.12345612; # Inclinition of Slit comment toooo
AIRMASS                     1.23456123E+05; # Inclinition of Slit comment toooo
INS.SLIT.ANG     "Bartholomaeus"; # Inclinition of Slit comment to
INS.SLIT.ANG     "BartholomaeusBartholomaeusBartholomaeusBartholo
INS.SLIT.ANG     "BartholomaeusBartholomaeusBartholomaeus"; # Incl
INS.SLIT.ANG     "!@#$%^&*(){}[]|\"; # Tricky                     
INS.SLIT.ANG              "F"; # Inclinition of Slit comment toooo
INS.SLIT.ANG              "T"; # Inclinition of Slit comment toooo
INS.SLIT.ANG       -123456789; # Inclinition of Slit comment toooo
INS.SLIT.ANGxxxx   -123456789; # Inclinition of Slit comment toooo
INS.SLIT.ANG                0; # Inclinition of Slit comment toooo
INS.SLIT.ANG               11; # Inclinition of Slit comment toooo
INS.SLIT.ANG     -123456.1235; # Inclinition of Slit comment toooo
INS.SLIT.ANG     -123456.1235; # Inclinition                      
INS.SLIT.ANG     -123456.12345612; # Inclinition of Slit comment t
INS.SLIT.ANG     -1.23456123E+05; # Inclinition of Slit comment to
INS.SLIT.ANG     1.23456123E+05; # Inclinition of Slit comment too
INS.SLIT.ANG       -1.234E-04; # Inclinition of Slit comment toooo
INS.SLIT.ANG        0.000E+00; # Inclinition of Slit comment toooo
INS.SLIT.ANG              0.0; # Inclinition of Slit comment toooo
INS.ANG          "Bartholomaeus"; # Inclinition of Slit comment to
INS.ANG          "BartholomaeusBartholomaeusBartholomaeusBartholo
INS.ANG          "BartholomaeusBartholomaeusBartholomaeus"; # Incl
INS.ANG          "!@#$%^&*(){}[]|\"; # Tricky                     
INS.ANG                   "F"; # Inclinition of Slit comment toooo
INS.ANG                   "T"; # Inclinition of Slit comment toooo
INS.ANG            -123456789; # Inclinition of Slit comment toooo
INS.ANGxxxx        -123456789; # Inclinition of Slit comment toooo
INS.ANG                     0; # Inclinition of Slit comment toooo
INS.ANG                    11; # Inclinition of Slit comment toooo
INS.ANG          -123456.1235; # Inclinition of Slit comment toooo
INS.ANG          -123456.1235; # Inclinition                      
INS.ANG          -123456.12345612; # Inclinition of Slit comment t
INS.ANG          -1.23456123E+05; # Inclinition of Slit comment to
INS.ANG          1.23456123E+05; # Inclinition of Slit comment too
INS.ANG            -1.234E-04; # Inclinition of Slit comment toooo
INS.ANG             0.000E+00; # Inclinition of Slit comment toooo
INS.ANG                   0.0; # Inclinition of Slit comment toooo
