#!/usr/local/bin/tcl
#*******************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: slxShortFITSToAlias.test.tcl,v 1.145 2005/07/27 11:34:42 vltsccm Exp $" 
#
# who       when      what
# --------  --------  ----------------------------------------------
# jknudstr  13/10/94  created
#

#************************************************************************
#   NAME
#   slxShortFITSToAlias.test.prog - test program for slxShortFITSToAlias
# 
#   SYNOPSIS
#   slxShortFITSToAlias.test.prog
# 
#   DESCRIPTION
#   Used for testing the function slxShortFITSToAlias
#
#
#   CAUTIONS
#   Should be executed from the ~slx/test directory.
#
#------------------------------------------------------------------------
#

source ../test/defs

set tf slxShortFITSToAlias.test
set testPath [pwd]
set slxTestShortFITSToAlias ../bin/slxTestShortFITSToAlias

set env(INS_SETUPPATH) [pwd]
set env(INS_ROOT) [pwd]/INS_ROOT
set env(INS_USER) SYSTEM



# PART 1: Test of basic functioning
# =================================
test slxShortFITSToAlias-1 {Basic functionality test} {
    exec $slxTestShortFITSToAlias > $tf.1.temp
    set msg [exec diff $tf.1.temp $tf.1.rf]
    exec rm $tf.1.temp
    set msg
} ""


