/******************************************************************************
* E.S.O. - VLT project
*
* slxTestAddBlocksWithEnd.c
*
* who       when      what
* --------  --------  ----------------------------------------------
* epozna    30/07/02  Created to test VLTSW20020319
*                     (after slxTestAddBlocks.c)
*/

/************************************************************************
*   NAME
*   slxTestAddBlocksWithEnd - tests the function slxTestAddBlocksWithEnd()
*
*   SYNOPSIS
*   slxTestAddBlocksWithEnd <filename> <blocks> 
*
*------------------------------------------------------------------------
*/
#define _POSIX_SOURCE 1
#include "vltPort.h" 

static char *rcsId="@(#) $Id: slxTestAddBlocksWithEnd.c,v 1.145 2005/07/27 12:28:11 vltsccm Exp $";
static void *use_rcsId = ((void)&use_rcsId,(void *) &rcsId);

/* System Headers 
 */
#include <fcntl.h>
#include <unistd.h>
#include <stdlib.h>
#include <string.h>
/* Local Headers 
 */
#include "slx.h"

/* Main
 */
int main (int argc, char *argv[])
{
    ccsERROR    error;
    int         fd;


    if (argc < 3)
        {
        printf("\nSyntax is:\n slxTestAddBlocksWithEnd <filename> <blocks> n\n");
        return(1);
        } 

    /* VLTSW20020319
     * file has to be opened with readand write permossion
     * ( not just read only: O_WRONLY) 
     */
    if ((fd = open(argv[1], O_RDWR)) == -1)     
       {
       printf("\nError occurred opening the file!!\n\n");
       return(1);
       }
    

    /*
     * VLTSW20020319
     * for original functionality see slxTestAddBlocks.c
     */
    if (slxAddFITSBlocksWithEnd(fd, atoi(argv[2]), &error) != SUCCESS)
        {
        printf("\nError occurred updating  the file!!\n\n");
        return(1);
        }

    close(fd);
    return(0);
}










