SUP.CHCK.NAME    "NOT SET";    # Name of appl. checking set-up
SUP.CHCK.DATE    "NOT SET";    # Date for checking the set-up
SUP.CHCK.UT                 0; # Time for checking the set-up
SUP.CHCK.STATUS  "NOT SET";    # Status of checking the set-up
SUP.TYPE         "reference";  # The type of set-up
SUP.ID           "my set-up id"; # The ID for the set-up
SUP.PROG.ID      "NOT SET";    # ID of obs. programme
SUP.PROG.NAME    "NOT SET";    # Name of responsible
SUP.VER.ID       "NOT SET";    # Set-up version control number
SUP.MODE         "NOT SET";    # Observation mode
SUP.INST.ID      "NOT SET";    # Instrument ID
SUP.CRTE.NAME    "slxExtractSetup/1.0"; # Creator of the set-up
SUP.CRTE.DATE    "1994-10-24"; # Date for creating
SUP.CRTE.UT             34618; # UT time (s)
SUP.LCHG.NAME    "NOT SET";    # Name of appl./person changing
SUP.LCHG.DATE    "NOT SET";    # Date for changing the set-up
SUP.LCHG.UT                 0; # Time for changing the set-up
SUP.PROT;                      # Start protected region
SUP.PROT;                      # End protected region
SIMPLE                    "T";          # Standard FITS format (rev feb 1985)
BITPIX                     16;          # 2 byte twos-compl integers (16 bits)
NAXIS                       2;          # 2 axis (two dimensions)
NAXIS1                   1100;          # # pixels/row
NAXIS2                   1040;          # # rows (also # scan lines)
ORIGIN   "ESO-IHAP";                    # European Southern Observatory
OBJECT   "BIAS    ";                        # Original target
DATE     "22/01/93";                    # Date this tape written dd/mm/yy
DATE-OBS "21/01/93";                        # Date of observation (UT)
TM-START               84987.;          # '23:36:27' measurement start time (UT
TM-END                 84988.;          # '23:36:28' measurement end time (UT)
INSTRUME "SUSI    ";                        # Instrument used
CRVAL1                     1.;          # Coordn first pixel in row (x-start)
CRPIX1                     1.;          # Always referenced to first pixel in x
CDELT1                     1.;          # Increment along x  (x-step)
CRVAL2                     1.;          # Coordn first row (y-start)
CRPIX2                     1.;          # Always referenced to first row (y)
CDELT2                     1.;          # Increment along y  (y-step)
TELESCOP "ESONTTA ";                        # ESO NTT focus A
OBSERVER "FORT    ";                        # Name of the observer
MJD-OBS   49008.98366;                      # Start of observ.=930121.233628
EXPTIME          1.00;                      # Total integration time
GEN.ID           "ARC-0001/1.2"; # Version of related document
GEN.PROJ.ID      "000.00.000"; # ESO program identification
GEN.EXPO.NO              3698; # Image Sequence Number
GEN.EXPO.TYPE    "DK      ";   # Type of exposure
GEN.EXPO.LST           10752.; # Loc. Sid. time at start of ex.
DET.NAME         "TK1024AF";   # Detector name
DET.ID           "ccd$25";     # Detector serial id.
DET.TYPE         "CCD Tektronix"; # Detector type
DET.PIXSIZE           24.E-06; # Size of pixel (m)
DET.BITS                   16; # ADU bits per pixel
DET.FRAM.NAXIS1          1100; # Number of pixels along x
DET.FRAM.CRVAL1             1; # x coordinate of lower left pixel
DET.FRAM.CRPIX1             1; # x coordinate of reference pixel
DET.FRAM.CDELT1             1; # Binning factor along x
DET.FRAM.NAXIS2          1040; # Number of pixels along y
DET.FRAM.CRVAL2             1; # y coordinate of lower left pixel
DET.FRAM.CRPIX2             1; # y coordinate of reference pixel
DET.FRAM.CDELT2             1; # Binning factor along y
DET.DKTIME              1.000; # Dark current time (s)
DET.TEMP-VAR              0.0; # Temperature drift during exposure
DET.TEMPMEAN            172.1; # Mean detector temperature (K)
DET.COMP.ID      "ccds-V1.0";  # A900 CCD-program name+vers
DET.DATE         "25/11/91";   # CCD implementation date
DET.MODE         "SLOW    ";   # Readout mode
DET.DIT                 1.000; # Defined integration time (sec)
