/*******************************************************************************
* E.S.O. - VLT project
*
* slxTestCrWrFITS
*
* who       when      what
* --------  --------  ----------------------------------------------
* jknudstr  04/08/94  Created 1. version
* epozna    30/07/02  comp warnings: exit->return
*/

#define _POSIX_SOURCE 1
#ifdef MAKE_LCU
    #include "lccErrors.h" 
    #include "err.h" 
#else
    #include "vltPort.h" 


static char *rcsId="@(#) $Id: slxTestCrWrFITS.c,v 1.145 2005/07/27 11:51:43 vltsccm Exp $";
static void *use_rcsId = ((void)&use_rcsId,(void *) &rcsId);
#endif

/* System Headers 
 */
#include <stdio.h>
#include <string.h>
#include <fcntl.h>

/* Local Headers 
 */
#include "slx.h"
#include "slxTest.h"

/* Main
 */
#ifdef MAKE_LCU
    int slxCreateFITS_Sh(int argc, char *argv[])
#else
    int main(int argc, char *argv[])
#endif
{
    int          n;
    ccsERROR     error;
    char         cat[4];
    char         subSyst[7];
    char         par[10];
    char         com[256];
    int          fd;
    slxPAR_TYPE  parameterType;
    vltUINT8     precision;
    vltLOGICAL   exponential;
    char         stringValue[256];
    vltLOGICAL   logicalValue;
    vltINT32     integerValue;
    vltDOUBLE    doubleValue;
 
    /*
     * Hierarchical FITS
     */
    
    strcpy(cat, "INS");
    strcpy(subSyst, "SLIT");
    strcpy(par, "ANG");
    parameterType = slxDOUBLE; /*slxINTEGER; slxLOGICAL; slxDOUBLE;*/
    logicalValue = ccsTRUE;
    strcpy(stringValue, "XXXXXXXX");
    integerValue = 12345678;
    doubleValue = -123456.123456123;
    precision = 4;
    exponential = ccsFALSE;
    strcpy(com, "Inclinition of Slit comment toooo looong");

    fd = open("/diskb/jknudstr/proto/slx/bin/imageTest", O_WRONLY);

    for (n = 0; n < 4; n++)
	{
        slxCreateWriteFITS(fd,
                           cat,
                           subSyst,
                           par,
                           parameterType,
                           stringValue,
                           logicalValue,
                           integerValue,
                           precision,
                           exponential,
                           doubleValue,
                           com,
                           &error);
        }

    return(0);

}







