/******************************************************************************
* E.S.O. - VLT project
*
* slxTestCreateFITS.c
*
* who       when      what
* --------  --------  ----------------------------------------------
* jknudstr  04/08/94  Created 1. version
* epozna    30/07/02  changed exit->return to avoid warnings
*/

/************************************************************************
*   NAME
*   slxTestCreateWriteFITS - Program to test slxCreateWriteFITS(3)
* 
*   SYNOPSIS
*   slxTestCreateWriteFITS 
* 
*------------------------------------------------------------------------
*/

#define _POSIX_SOURCE 1
#include "vltPort.h" 

static char *rcsId="@(#) $Id: slxTestCreateWriteFITS.c,v 1.145 2005/07/27 11:55:10 vltsccm Exp $";
static void *use_rcsId = ((void)&use_rcsId,(void *) &rcsId);

/* System Headers 
 */
#include <stdio.h>
#include <string.h>

/* Local Headers 
 */
#include "slx.h"

/* Main
 */
int main(int argc, char *argv[])
{
    ccsERROR     error;
    /*ccsPROCNAME  procName;*/
    slxPAR_TYPE  parameterType;
    vltUINT8     precision;
    vltLOGICAL   exponential;
    vltLOGICAL   logicalValue;
    vltINT32     integerValue;
    vltDOUBLE    doubleValue;
    int		i, fd;
    double	x;
 
    /* Arguments 1,2,3,5,11 are type char, so use argv[i] for them */
    
    /* Fourth is parametertype - an enumerated integer 1-4 */
    sscanf (argv[4], "%d", &i);
    parameterType = i;

    /* Sixth is a logical */
    sscanf (argv[6], "%d", &i);
    logicalValue = i;

    /* Seventh is INT32 */
    sscanf (argv[7], "%d", &i);
    integerValue = i;

    /* Eighth is UINT8 */
    sscanf (argv[8], "%u", &i);
    precision = i;

    /* Nineth is a logical */
    sscanf (argv[9], "%d", &i);
    exponential = i;

    /* Tenth is a double */
    sscanf (argv[10], "%lf", &x);
    doubleValue = x;

    /* Twelveth is an integer */
    sscanf (argv[12], "%d", &fd);

/*    strcpy(procName, argv[0]);*/
    if (ccsInit("slxCreWrFITS", 0, NULL, NULL, &error) == FAILURE)
	{
	fprintf (stderr,"ccsInit failed.\n");
	return(1);
	}
    
    if (slxCreateWriteFITS(fd,			/* send output to stdout */
			   argv[1],
			   argv[2],
			   argv[3],
			   parameterType,
			   argv[5],
			   logicalValue,
			   integerValue, 
			   precision, 
			   exponential,
			   doubleValue,
			   argv[11],
			   &error) == FAILURE)
    {
	fprintf(stderr,"%s",error.runTimePar);
	return (1);
    }
    else
    {
	return(0);
    }
}







