/******************************************************************************
* E.S.O. - VLT project
*
* slxTestSplitShortFITS.c
*
* who       when      what
* --------  --------  ----------------------------------------------
* jknudstr  04/08/94  Created 1. version
* epozna    30/07/02  changed exit->return to avoid warnings
*/

/************************************************************************
*   NAME
*   slxTestSplitShortFITS - Program to test slxSplitShortFITS(3)
* 
*   SYNOPSIS
*   slxTestSplitShortFITS 
* 
*------------------------------------------------------------------------
*/

#define _POSIX_SOURCE 1
#include "vltPort.h" 


static char *rcsId="@(#) $Id: slxTestSplitShortFITS.c,v 1.145 2005/07/27 12:08:29 vltsccm Exp $";
static void *use_rcsId = ((void)&use_rcsId,(void *) &rcsId);


/* 
 * System Headers 
 */

#include <stdio.h>
#include <string.h>


/*
 * Local Headers 
 */

#include "slx.h"


/* 
 * Main
 */

int main(int argc, char *argv[])
{
    ccsERROR	error;
    ccsPROCNAME procName;
    char	category[80];
    char	subsystem[80];
    char	parameter[80];
    char	value[80];
    char	comment[80];
 

    strcpy(procName, argv[0]);
    if (ccsInit(procName, 0, NULL, NULL, &error) == FAILURE)
	{
	fprintf (stderr,"ccsInit failed.\n");
	return(1);
	}
    
    if (slxSplitShortFITS(argv[1],
			  category,
			  subsystem,
			  parameter,
			  value,
			  comment,
			  &error) == FAILURE)
	{
	fprintf(stderr,"%s",error.runTimePar);
	return (1);
	}
    else
	{
	printf("{%s} {%s} {%s} {%s} {%s}",
	       category, subsystem, parameter, value, comment);	
	return(0);
	}
}















